<odoo>
    <record id="view_material_type_tree" model="ir.ui.view">
        <field name="name">sos_material_types.tree</field>
        <field name="model">sos_material_types</field>
        <field name="arch" type="xml">
            <tree string="Material Types">
                <field name="name"/>
            </tree>
        </field>
    </record>

    <record id="view_material_type_form" model="ir.ui.view">
        <field name="name">sos_material_types.form</field>
        <field name="model">sos_material_types</field>
        <field name="arch" type="xml">
            <form string="Material Type">
                <sheet>
                    <group>
                        <field name="name"/>
                        <field name="sub_type_ids">
                            <tree editable="bottom">
                                <field name="name"/>
                                <field name="prefix"/>
                            </tree>
                        </field>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="action_material_type" model="ir.actions.act_window">
        <field name="name">Material Types</field>
        <field name="res_model">sos_material_types</field>
        <field name="view_mode">tree,form</field>
    </record>

    <menuitem id="menu_material_type" name="Material Types"
              parent="settings_root_menu" action="action_material_type" groups="sos_inventory.sos_scg_group_user,sos_inventory.sos_scg_group_manager,sos_inventory.sos_management_user"/>
</odoo>
